<!-- This is the response page to the search form. The response is a listing of all the records in the database in a columnar display. -->

[Include:'header.lasso']

	<table bgcolor="#FFFFFF" cellspacing="1" cellpadding="5" width="550" border="0">
		<tr>
			<td colspan="11"> <h2>List Records</b></h2>
			
			<!-- Below are [If] LDML objects for determining what action needs to be performed based on the token value submitted with a form button, and contain [Inline] LDML objects for performing a -Search or -FindAll database action depending on the results of the [If] state-ment. For more information on [If] tags, see Chapter 13 in the Lasso 7 Language Guide. -->
			
	[If: (Token_Value: 'Action') >> 'Find All'][Variable: 'Action'=-FindAll][Else][Variable: 'Action'=-Search][/If]
	[Inline: (Action_Params), -Database='Example_DB', -Table='web', -KeyField='id', -MaxRecords=10, $Action]
 </td>
		</tr>
		<tr>
			<td colspan="11"> 	[If: (Error_CurrentError) != (Error_NoError)]An error has occurred. ([Error_CurrentError: -ErrorCode] [Error_CurrentError])[/If]
	[If: (Found_Count) == 0]No Records Found[/If]
 </td>
		</tr>
		<tr>
			<td><b> ID </b></td>
			<td><b> Company </b></td>
			<td><b> City </b></td>
			<td><b> State </b></td>
			<td><b> Zip </b></td>
			<td><b> Country </b></td>
			<td> </td>
		</tr>
		
		<!-- Everything between the container tags [Records] ... [/Records] will be repeated for each record in the found set. The field that is linked to the record detail page contains -Keyfield and -Token LDML command tags in the URL that pass necessary information to the display page so that the correct record is displayed. -->
		
		[Records]
		<tr>
			<td> [Field: 'id'] </td>
			<td> <a href="display.lasso?-KeyValue=[KeyField_Value]&-Token.Action=[Token_Value: 'Action']">[Field: 'company']</a> </td>
			<td> [Field: 'city'] </td>
			<td> [Field: 'state'] </td>
			<td> [Field: 'zip'] </td>
			<td> [Field: 'country'] </td>
			<td>  </td>
		</tr>
		[/Records]
		
		<tr>
			<td colspan="11"> 
			
	<!-- The [Link_...] tags below automatically generate links to the next group of found records and the previous group of found records. By default, 10 records will be shown on the first screen due to the -MaxRecords=10 parameter in the [Inline] tag. These links will be displayed only if more than 10 records were found that matched the search criteria. For more information on the link tags, see Chapter 7 in the Lasso 7 Language Guide. -->
	
	[Link_FirstGroup: -NoDatabase, -NoTable, -NoKeyField, -NoAction]&lt; &lt; First[/Link_FirstGroup]
	[Link_PrevGroup: -NoDatabase, -NoTable, -NoKeyField, -NoAction]&lt; Prev[/Link_PrevGroup]
	Showing [Shown_Count] records out of [Found_Count] found ([Shown_First] to [Shown_Last])
	[Link_NextGroup: -NoDatabase, -NoTable, -NoKeyField, -NoAction]Next &gt;[/Link_NextGroup]
	[Link_LastGroup: -NoDatabase, -NoTable, -NoKeyField, -NoAction]Last &gt; &gt;[/Link_LastGroup]

	[/Inline]
		 </td>
	</tr>
</table>

[Include:'footer.lasso']
