#ifndef _MYSQLDS_H_
#define _MYSQLDS_H_

#include "LassoCAPI.h"
#ifdef WIN32
#include <winsock.h>
#endif
#include "mysql.h"
#include <string>

using std::string;

#ifdef WIN32
#define MYSQLDS_EXPORT __declspec(dllexport)
#define MYSQLDS_IMPORT __declspec(dllimport)
#else
#define MYSQLDS_EXPORT
#define MYSQLDS_IMPORT
#endif

#ifdef __cplusplus
extern "C"
{
#endif

MYSQLDS_EXPORT void registerLassoModule(void);

#ifdef __cplusplus
}
#endif
static osError local_mysqlds_func(lasso_request_t token, datasource_action_t action, const auto_lasso_value_t * param);

#endif
