<?LassoScript

	// 
	// Variables
	//
		
	_admin_addvar: -name='action', -override=(action_param: 'action'), -default='none';
	_admin_addvar: -name='new_extension', -override=(action_param: 'new_extension'), -default='';
	
	_admin_addvar: -name='current_extensions', -session='_admin', -default=(array);
	
	_admin_addvar: -name='default_extensions', -default=(array: '.lasso','.lassoapp','.txt','.text','.htm','.html','.inc','.uld','.xml','.pdf','.jpg','.gif','.png','.bmp','.psd','.tif','.rgb','.cmyk');
	_admin_addvar: -name='reserved_extensions', -default=(array:'.lasso','.lassoapp','.uld');
		
	//
	// Current Extensions
	//
	inline: -search,
			-database='lasso_internal',
			-table='global_prefs',
			-maxrecords='1',
			-returnfield='data',
			-op='eq', 'store_key'='lasso_file_extensions';
		records;
			var: 'temp' = (field: 'data');
			$temp->trim;
			var: 'current_extensions' = $temp->(split: ' ');
			$current_extensions->sort;
		/records;
	/inline;
	
	if: ($action >> 'reset') || ($current_extensions->size == 0);
		var: 'current_extensions' = $default_extensions;
			$current_extensions->sort;
	/if;
	
	iterate: $current_extensions, (var: 'temp');
		if: ((action_param: 'minus' + $temp + '.x') != '') && !($reserved_extensions >> $temp);
			$current_extensions->(remove: loop_count);
			var: 'action' = 'remove';
			loop_abort;
		/if;
	/iterate;
		
	if: ($action >> 'add');
		var: 'new_extension' = (string: $new_extension);
		$new_extension->trim;
		if: !($new_extension->(beginswith: '.'));
			var: 'new_extension' = '.' + $new_extension;
		/if;
		
		if: ($new_extension == '') || ($new_extension == '.');
			var: 'action' = 'none';
		else;
			$current_extensions->(insert: $new_extension);
			$current_extensions->sort;		
		/if;	
	/if;
	
	if: ($action >> 'add') || ($action >> 'remove') || ($action >> 'reset');
		inline: -delete,
				-database='lasso_internal',
				-table='global_prefs',
				-keyfield='store_key',
				-keyvalue='lasso_file_extensions';
		/inline;
		inline: -add,
				-database='lasso_internal',
				-table='global_prefs',
				-keyfield='store_key',
				'store_key'='lasso_file_extensions',
				'data'=$current_extensions->(join: ' ');
		/inline;

 		_security_flushcaches;

	/if;

?>
