<?LassoScript

//
// Variables
//

_admin_addvar: 'users_search_action', -default='None', -override=(action_param: 'users_search_action', (action_param: 'users_search_action', -count));

_admin_addvar: 'users_search_group', -session='_admin', -default='AnyUser', -override=(action_param: 'users_search_groupfilter');
_admin_addvar: 'users_search_name', -session='_admin', -default='', -force=(action_param: 'users_search_name');
_admin_addvar: 'users_search_enabled', -session='_admin', -default='any', -override=(action_param: 'users_search_enabled');
_admin_addvar: 'users_search_admin', -session='_admin', -default='N', -override=(action_param: 'users_search_admin');

_admin_addvar: 'users_search_sql', -session='_admin';

//
// Process Action
//

if: $users_search_action >> 'Reset';

	var: 'users_search_group' = 'AnyUser';
	var: 'users_search_name' = '';
	var: 'users_search_enabled' = 'any';
	var: 'users_search_admin' = 'N';

else: $users_search_action >> 'Find All';

	var: 'users_search_sql' = ' ';

	redirect_url: $admin_link + '&tab3=users&users_groupfilter=search';

	abort;

else: $users_search_action >> 'Search';

	var: 'users_search_sql' = '';

	if: !($users_search_group >> 'AnyUser');
		var: 'users_search_sql' = 'AND security_ug_map.id_group = \'' + $users_search_group + '\' ';
	/if;

	if: ($users_search_enabled != 'any');
		$users_search_sql += ' AND security_users.enabled = \'' + $users_search_enabled + '\' ';
	/if;

	if: ($users_search_name != '');
		$users_search_sql += ' AND security_users.name LIKE \'' + $users_search_name + '%\' ';
	/if;

	if: ($users_search_admin == 'Y');
		$users_search_sql += ' AND security_ug_map.admin = \'Y\' ';
	/if;

	redirect_url: $admin_link + '&tab3=users&users_groupfilter=search';
	
	abort;
	
/if;

//
// Add/Remove special groups from user and group map
//

if: $users_usermap->size >= 2;
	$users_usermap->(removeall:2);
/if;

if: $users_groupmap->size >= 2;
	$users_groupmap->(removeall:1);
	$users_groupmap->(removeall:2);
/if;


?>
