<?LassoScript

if:(action_param:'WSDL', -count);
	library:lassoapp_link:'XML/namespaces.lasso';
	library:lassoapp_link:'XML/SOAP/xsd.lasso';
	include:lassoapp_link:'XML/SOAP/LassoService.wsdl.lasso';
else:client_headers >> 'SOAPAction:';
	library:lassoapp_link:'XML/namespaces.lasso';
	library:lassoapp_link:'XML/SOAP/xsd.lasso';
	include:lassoapp_link:'XML/SOAP/soap_handler.lasso';
else;

    local:'post' = @client_postargs;

	content_type:'text/xml';
	protect;
        local:'rpc'=xml_rpc:#post;
        
        local:'tag' = #rpc->getMethod;
        local:'found'= @($__RPC__->(find:#tag));
 
        fail_if: #found == null, -1, 'The method was not found.';
    
        local:'response' = #found->(run:-params=(#rpc->getParams));

        $__HTML_REPLY__ = 
            (xml_rpc:(
                #response
                    ))->(response:-full=false, -fault=false);
        
        handle: (error_currenterror:-errorcode) != 0;
            $__HTML_REPLY__ = (xml_rpc:(array: -faultCode=(error_currenterror:-errorcode), -faultString=(error_currenterror)))->(response: -full=false, -fault=true);
        /handle;
	/protect;
/if;

?>